Debian Bug report logs - #667378
sphinxsearch: ftbfs with GCC-4.7

version graph

Package: sphinxsearch; Maintainer for sphinxsearch is Radu Spineanu <radu@debian.org>; Source for sphinxsearch is src:sphinxsearch.

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:39:47 UTC

Severity: important

Tags: patch, sid, wheezy

Found in version sphinxsearch/2.0.3-1

Fixed in version sphinxsearch/2.0.4-1

Done: Radu Spineanu <radu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Radu Spineanu <radu@debian.org>:
Bug#667378; Package sphinxsearch. (Tue, 03 Apr 2012 23:39:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Radu Spineanu <radu@debian.org>. (Tue, 03 Apr 2012 23:39:49 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: sphinxsearch: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:12:35 +0000
Package: sphinxsearch
Version: 2.0.3-1
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

sphinxexpr.cpp:1876:43: error: 'ExprEval' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/sphinxsearch_2.0.3-1_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
sphinxexpr.cpp:3203:1:   required from here
sphinxexpr.cpp:1830:43: error: 'ExprEval' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
sphinxexpr.cpp:1830:43: note: declarations in dependent base 'Expr_ArgVsSet_c<long int>' are not found by unqualified lookup
sphinxexpr.cpp:1830:43: note: use 'this->ExprEval' instead
sphinxexpr.cpp: In instantiation of 'int Expr_Interval_c<T>::IntEval(const CSphMatch&) const [with T = int]':
sphinxexpr.cpp:3203:1:   required from here
sphinxexpr.cpp:1830:43: error: 'ExprEval' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
sphinxexpr.cpp:1830:43: note: declarations in dependent base 'Expr_ArgVsSet_c<int>' are not found by unqualified lookup
sphinxexpr.cpp:1830:43: note: use 'this->ExprEval' instead
sphinxexpr.cpp: In instantiation of 'int Expr_IntervalConst_c<T>::IntEval(const CSphMatch&) const [with T = float]':
sphinxexpr.cpp:3203:1:   required from here
sphinxexpr.cpp:1799:43: error: 'ExprEval' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
sphinxexpr.cpp:1799:43: note: declarations in dependent base 'Expr_ArgVsSet_c<float>' are not found by unqualified lookup
sphinxexpr.cpp:1799:43: note: use 'this->ExprEval' instead
sphinxexpr.cpp: In instantiation of 'int Expr_IntervalConst_c<T>::IntEval(const CSphMatch&) const [with T = long int]':
sphinxexpr.cpp:3203:1:   required from here
sphinxexpr.cpp:1799:43: error: 'ExprEval' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
sphinxexpr.cpp:1799:43: note: declarations in dependent base 'Expr_ArgVsSet_c<long int>' are not found by unqualified lookup
sphinxexpr.cpp:1799:43: note: use 'this->ExprEval' instead
sphinxexpr.cpp: In instantiation of 'int Expr_IntervalConst_c<T>::IntEval(const CSphMatch&) const [with T = int]':
sphinxexpr.cpp:3203:1:   required from here
sphinxexpr.cpp:1799:43: error: 'ExprEval' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
sphinxexpr.cpp:1799:43: note: declarations in dependent base 'Expr_ArgVsSet_c<int>' are not found by unqualified lookup
sphinxexpr.cpp:1799:43: note: use 'this->ExprEval' instead
make[3]: *** [sphinxexpr.o] Error 1
make[3]: Leaving directory `/«PKGBUILDDIR»/src'
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Radu Spineanu <radu@debian.org>:
Bug#667378; Package sphinxsearch. (Wed, 04 Apr 2012 20:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Radu Spineanu <radu@debian.org>. (Wed, 04 Apr 2012 20:27:04 GMT) Full text and rfc822 format available.

Message #10 received at 667378@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 667378@bugs.debian.org
Subject: Re: Bug#667378: sphinxsearch: ftbfs with GCC-4.7
Date: Wed, 4 Apr 2012 22:25:12 +0200
[Message part 1 (text/plain, inline)]
tag 667378 patch
thanks

Matthias Klose <doko@debian.org> (03/04/2012):
> Package: sphinxsearch
> Version: 2.0.3-1
> Severity: important
> Tags: sid wheezy
> User: debian-gcc@lists.debian.org
> Usertags: ftbfs-gcc-4.7

Here's a patch to fix this FTBFS. No intent to NMU here.

Mraw,
KiBi.
[sphinxsearch+nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Wed, 04 Apr 2012 20:27:06 GMT) Full text and rfc822 format available.

Reply sent to Radu Spineanu <radu@debian.org>:
You have taken responsibility. (Fri, 20 Apr 2012 03:06:13 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Fri, 20 Apr 2012 03:06:13 GMT) Full text and rfc822 format available.

Message #17 received at 667378-close@bugs.debian.org (full text, mbox):

From: Radu Spineanu <radu@debian.org>
To: 667378-close@bugs.debian.org
Subject: Bug#667378: fixed in sphinxsearch 2.0.4-1
Date: Fri, 20 Apr 2012 03:03:36 +0000
Source: sphinxsearch
Source-Version: 2.0.4-1

We believe that the bug you reported is fixed in the latest version of
sphinxsearch, which is due to be installed in the Debian FTP archive:

sphinxsearch_2.0.4-1.debian.tar.gz
  to main/s/sphinxsearch/sphinxsearch_2.0.4-1.debian.tar.gz
sphinxsearch_2.0.4-1.dsc
  to main/s/sphinxsearch/sphinxsearch_2.0.4-1.dsc
sphinxsearch_2.0.4-1_i386.deb
  to main/s/sphinxsearch/sphinxsearch_2.0.4-1_i386.deb
sphinxsearch_2.0.4.orig.tar.gz
  to main/s/sphinxsearch/sphinxsearch_2.0.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667378@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Radu Spineanu <radu@debian.org> (supplier of updated sphinxsearch package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 20 Apr 2012 02:24:37 +0000
Source: sphinxsearch
Binary: sphinxsearch
Architecture: source i386
Version: 2.0.4-1
Distribution: unstable
Urgency: low
Maintainer: Radu Spineanu <radu@debian.org>
Changed-By: Radu Spineanu <radu@debian.org>
Description: 
 sphinxsearch - Fast standalone full-text SQL search engine
Closes: 656326 663679 663680 667378
Changes: 
 sphinxsearch (2.0.4-1) unstable; urgency=low
 .
   * New upstream release.
   * Fix FTBFS with gcc-4.7. Thanks to Cyril Brulebois for the patch.
     (closes: #667378)
   * init script improvements thanks to Daniel Black.
     (closes: #656326)
   * watch file thanks to Mateusz Kijowski.
     (closes: #663680, #663679)
   * Bumped Standards Version.
Checksums-Sha1: 
 db071a6f3bc9621904627e7ea2d82d53ccf17b1c 1215 sphinxsearch_2.0.4-1.dsc
 168794dcfb4644ac02dcce863c04b351399b0863 1938089 sphinxsearch_2.0.4.orig.tar.gz
 0b682970eca3d958b524dde6675539afb878d524 13829 sphinxsearch_2.0.4-1.debian.tar.gz
 5927bdc4f977f3938a9b6ba31b4cd446aa2d60f2 4614832 sphinxsearch_2.0.4-1_i386.deb
Checksums-Sha256: 
 0af50e2ca497b453d7e111a71fb8dd24502f649fcfc67a19c3209b49411ec511 1215 sphinxsearch_2.0.4-1.dsc
 43c4b62949d8fbd2b6ba93e20cb0f35c14f428be501af47e75a3ef713efa2886 1938089 sphinxsearch_2.0.4.orig.tar.gz
 a7fae457f4aa652e4a10afd50dbb20eaf83a57cd350864d1ec39ed6b179144d1 13829 sphinxsearch_2.0.4-1.debian.tar.gz
 5da002ee49318b3ce8471887805787ee419e0bb30f5b452064c8c010c2bba04e 4614832 sphinxsearch_2.0.4-1_i386.deb
Files: 
 a72649e31161f70b3e6f2c06f188253d 1215 misc optional sphinxsearch_2.0.4-1.dsc
 7da4df3df3decb24d8c6fb8f47de1d3d 1938089 misc optional sphinxsearch_2.0.4.orig.tar.gz
 775fe7880fcc523d29aa9ca6a8c33364 13829 misc optional sphinxsearch_2.0.4-1.debian.tar.gz
 45b7c5f3b319561c3789a1513eb303b8 4614832 misc optional sphinxsearch_2.0.4-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+Qz7gACgkQJkMZOMmr+9NzlgCfTRrH2820IoCJlFnNHi1b7lxJ
mwsAnjpTrGqw2GR5ySnAiR7Mvvx4t2VC
=C3xg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 May 2012 07:38:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:01:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.